Get a message
const url = 'https://client-api.abi.ai/v2/health-navigator/messages/01K9F5PWBM2AFT1RG7TMN3YG1R';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://client-api.abi.ai/v2/health-navigator/messages/01K9F5PWBM2AFT1RG7TMN3YG1R \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Health Navigator message identifier.
Example
01K9F5PWBM2AFT1RG7TMN3YG1RResponses
Section titled “Responses”Health Navigator message returned.
object
ULID message identifier.
Conversation identifier.
Sender role.
Message content composed of ordered parts.
object
Ordered text, actionable, resource, image, location, audio, video, or file parts.
A text message part.
object
Text to display.
An actionable part. The wire format uses type: action.
object
An Actionable suggested by Health Navigator or supplied by the user.
object
Actionable category.
Configured actionable identifier.
Role that supplied the actionable.
Configured actionable domain.
Optional URL for additional context or redirection.
Optional call-to-action label for client rendering.
Optional data for the client workflow.
object
Optional effects to apply after the actionable is handled.
object
object
A supporting information resource.
object
Supporting information associated with a message.
object
Resource title.
URL where the resource can be accessed.
Optional resource description or preview.
An image part.
object
A location part.
object
object
An audio part.
object
A video part.
object
A downloadable file part.
object
Parent message identifier for a threaded reply.
Example
{ "messageId": "01K9F5PWBM2AFT1RG7TMN3YG1R", "conversationId": "01HK8GGQ123456789ABCDEFGHI", "role": "assistant", "content": { "type": "message", "parts": [ { "type": "text", "text": "I am sorry you are feeling unwell. Here are some next steps to consider." }, { "type": "action", "action": { "type": "client_service", "name": "book_consultation", "source": "assistant", "domain": "medical", "label": "Book a consultation" } } ] }, "createdAt": "2025-08-28T10:13:04.000Z", "protocolVersion": "1.0.0"}Request could not be completed.
object
Short machine-readable error code.
Human-readable explanation of the error.
Examplegenerated
{ "code": "example", "message": "example"}